List inventory assets.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/assets \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/assets"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/assets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"assets": [
{
"asset_family": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"metadata": {},
"normalized_value": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"activity": "<string>",
"approved_at": "2023-11-07T05:31:56Z",
"approved_by_api_key_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approved_by_membership_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archived_at": "2023-11-07T05:31:56Z",
"asn": 2147483648,
"asset_type": "<string>",
"brand_favicon_count": 1,
"brand_linked_asset_count": 1,
"brand_main_website_url": "<string>",
"brand_term_count": 1,
"certificate_issuer": "<string>",
"certificate_not_after": "2023-11-07T05:31:56Z",
"certificate_not_before": "2023-11-07T05:31:56Z",
"certificate_sha256": "<string>",
"certificate_subject": "<string>",
"cname_records": [
"<string>"
],
"contact_email": "jsmith@example.com",
"contact_name": "<string>",
"contact_type": "<string>",
"created_by_api_key_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_membership_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discovery_channel": "<string>",
"discovery_provider": "<string>",
"display_name": "<string>",
"dns_a_records": [
"<string>"
],
"dns_aaaa_records": [
"<string>"
],
"dns_name": "<string>",
"domain_status": "<string>",
"favicon_sha256": "<string>",
"final_url": "<string>",
"host": "<string>",
"ip": "<string>",
"ip_addresses": [
"<string>"
],
"ip_block": "<string>",
"last_observed_at": "2023-11-07T05:31:56Z",
"name_servers": [
"<string>"
],
"os_family": "<string>",
"owner_group_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_membership_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page_sha256": "<string>",
"parent_domain": "<string>",
"primary_source_name": "<string>",
"primary_source_ref": "<string>",
"provider": "<string>",
"registered_at": "2023-11-07T05:31:56Z",
"registrar": "<string>",
"removed_at": "2023-11-07T05:31:56Z",
"removed_by_api_key_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"removed_by_membership_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"root_domain": "<string>",
"screenshot_sha256": "<string>",
"title": "<string>",
"url": "<string>"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Inventory
List inventory assets.
Lists current inventory assets visible through the authenticated project.
GET
https://api.infrawatch.com/api/v1
/
projects
/
{project_uuid}
/
esi
/
inventory
/
assets
List inventory assets.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/assets \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/assets"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/assets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"assets": [
{
"asset_family": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"metadata": {},
"normalized_value": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"activity": "<string>",
"approved_at": "2023-11-07T05:31:56Z",
"approved_by_api_key_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approved_by_membership_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archived_at": "2023-11-07T05:31:56Z",
"asn": 2147483648,
"asset_type": "<string>",
"brand_favicon_count": 1,
"brand_linked_asset_count": 1,
"brand_main_website_url": "<string>",
"brand_term_count": 1,
"certificate_issuer": "<string>",
"certificate_not_after": "2023-11-07T05:31:56Z",
"certificate_not_before": "2023-11-07T05:31:56Z",
"certificate_sha256": "<string>",
"certificate_subject": "<string>",
"cname_records": [
"<string>"
],
"contact_email": "jsmith@example.com",
"contact_name": "<string>",
"contact_type": "<string>",
"created_by_api_key_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_membership_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discovery_channel": "<string>",
"discovery_provider": "<string>",
"display_name": "<string>",
"dns_a_records": [
"<string>"
],
"dns_aaaa_records": [
"<string>"
],
"dns_name": "<string>",
"domain_status": "<string>",
"favicon_sha256": "<string>",
"final_url": "<string>",
"host": "<string>",
"ip": "<string>",
"ip_addresses": [
"<string>"
],
"ip_block": "<string>",
"last_observed_at": "2023-11-07T05:31:56Z",
"name_servers": [
"<string>"
],
"os_family": "<string>",
"owner_group_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_membership_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page_sha256": "<string>",
"parent_domain": "<string>",
"primary_source_name": "<string>",
"primary_source_ref": "<string>",
"provider": "<string>",
"registered_at": "2023-11-07T05:31:56Z",
"registrar": "<string>",
"removed_at": "2023-11-07T05:31:56Z",
"removed_by_api_key_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"removed_by_membership_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"root_domain": "<string>",
"screenshot_sha256": "<string>",
"title": "<string>",
"url": "<string>"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Authorizations
Infrawatch API key. Supply the complete key directly as the header value.
Path Parameters
Query Parameters
Available options:
domain, subdomain, page, ssl_certificate, asn, ip_block, ip_address, contact, brand_name Available options:
candidate, approved, monitored, ignored, removed, archived Available options:
manual, auto_discovered, import, api, integration Maximum string length:
256Required range:
1 <= x <= 500Required range:
x >= 0Opaque snapshot cursor returned by the previous page. Cannot be combined with a non-zero offset.
Maximum string length:
1024⌘I